List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-6-astra"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "openai/gpt-5.5"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5-1"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-3.1-pro-preview"
},
{
"id": "google/gemini-3.8-flash"
},
{
"id": "xai/grok-4.7"
},
{
"id": "xai/grok-4.6"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.3-flash"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}Endpoints
Listar modelos
Retorna o catálogo público atual de modelos.
GET
/
v1
/
models
List public models
Use este endpoint para obter o catálogo público atual de modelos.
O catálogo inclui aliases latest no nível do provedor antes dos IDs de modelo concretos:
Os aliases latest são resolvidos da seguinte forma em
Os endpoints Anthropic Messages também aceitam IDs concretos de Claude Messages sem prefixo, como
openai-latestclaude-latestgoogle-latest
| Escolha de modelo | Melhor para |
|---|---|
openai-latest, claude-latest, google-latest | Configure uma vez e deixe a Capriole AI manter você no modelo principal recomendado |
IDs de modelo concretos, como openai/gpt-6-astra | Fixar uma versão exata do modelo |
POST /v1/chat e POST /v1/chat/completions:
| Alias latest | Resolve para |
|---|---|
openai-latest | openai/gpt-6-astra |
claude-latest | anthropic/claude-fable-5-1 |
google-latest | google/gemini-3.1-pro-preview |
| Endpoint | Aliases latest |
|---|---|
POST /v1/chat | openai-latest, claude-latest, google-latest |
POST /v1/chat/completions | openai-latest, claude-latest, google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5-1, claude-fable-5, claude-opus-5-5, claude-opus-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6 e claude-sonnet-4-6.
Em POST /v1/messages e POST /v1/messages/count_tokens, claude-latest resolve para claude-fable-5-1, alinhado ao alias latest de Chat e Chat Completions.
Use os IDs de alias sem prefixo mostrados acima. Prefixos de provedor como openai/openai-latest são padrões de seletor no lado do cliente, não IDs de modelo da Capriole AI.Resposta
Public model list
Show child attributes
Show child attributes
Última modificação em 28 de setembro de 2026